# How to help the project?

You can help WebOne project by finding and reporting bugs, by creating own configuration files and traffic edit sets, or by writing program's code.

## Do you found a bug?
The bug tracker is located at [GitHub Issues](https://github.com/atauenis/webone/issues). It is a great place to send what don't work as expected.

Currently all Issues are marking as Closed after they gets fixed in source code. So if you find a bug in latest stable release ![](https://img.shields.io/github/v/tag/atauenis/webone?include_prereleases&label=WebOne), check if it is already known in [all bugs](https://github.com/atauenis/webone/issues?q=is%3Aissue+label%3Abug+sort%3Aupdated-desc) list. When source code collects a large amount of fixed bugs, it becomes a next stable release of WebOne.

## Did you write a patch that fixes a bug?
It is great! Make a Pull Request with the patch, and it will be accepted.

## Did you made a edit set which fixes work of a web site over WebOne?
Thanks. It's a time to start a topic in [Website patches](https://github.com/atauenis/webone/discussions/categories/website-patches). And anyone will be able to copy the edit set self, and surf that site via old browser.

## Do you have ideas about new features?
There is [GitHub Discussions](https://github.com/atauenis/webone/discussions) place for talks about need features. Also there is a semi-official list of features, planned for nearest releases: [Project roadmap](https://github.com/atauenis/webone/wiki/Project-roadmap).

## Do you want to implement new features?
Great. The main project developer have small amount of time to work in Visual Studio / .NET SDK and write good code, so such help would be very good for the project. Similar to bug fixes, Forks & Pull Requests on Git are the way to work with contributions.

## Why C# is chosen for WebOne?
Microsoft .NET is a cross-platform framework, which main programming language is C#. It is easy for rapid development, have ready libraries for many tasks (HTTP, HTTPS, stdin/stdout, [DEB/RPM](https://github.com/qmfrederik/dotnet-packaging/), etc), is open source, works on many platforms and systems. And the main project developer knows this language enough well to write such server. :)

## Remind please, where is main code repository?
The project currently hosts on GitHub ecosystem: 
* https://github.com/atauenis/webone.git
* https://github.com/atauenis/webone/archive/refs/heads/master.zip ([Archived](https://web.archive.org/web/*/https://github.com/atauenis/webone/archive/refs/heads/master.zip))